# Class CompareHandlerService

java.lang.Object
org.eclipse.compare.internal.CompareHandlerService

public class CompareHandlerService extends Object

## Method Summary

Modifier and Type
Method
Description
`static CompareHandlerService`
`createFor(ICompareContainer container, Shell shell)`
`void`
`dispose()`
`void`
`registerAction(IAction action, String commandId)`
`void`
`setGlobalActionHandler(String actionId, IAction actionHandler)`
`void`
`updatePaneActionHandlers(Runnable runnable)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### createFor

public static CompareHandlerService createFor(ICompareContainer container, Shell shell)

### registerAction

public void registerAction(IAction action, String commandId)

### setGlobalActionHandler

public void setGlobalActionHandler(String actionId, IAction actionHandler)

### dispose

public void dispose()

### updatePaneActionHandlers

public void updatePaneActionHandlers(Runnable runnable)